      SUBROUTINE DELAYF (MINW,SECW)
C--DELAYS A PROGRAM FOR A FIXED AMOUNT OF TIME BEFORE CONTINUING

C--VAX VERSION
      CHARACTER STRING*16
      IF (MINW.GT.60) MINW=60
      IF (SECW.GT.60.) SECW=60.
      WRITE (STRING,1007) MINW,SECW
1007  FORMAT ('0000 00:',I2,':',F5.2)
      CALL DELAY (STRING)

C--SUN VERSION

      RETURN
      END
